# Libraries that are needed in this script
import numpy as np
import least_squares as ls # This is the file where we wrote the
                                     # LinearFunction class

print("\n Exectuting least_squares_main.py")

################################################################################
#
# Intitalize LeastSquares object

# Set matrix parameters
m = 13
n = 3

# Matrix and vector with random entries. Entries independently chosen from a 
# Gaussian distribution with mean 0 and variance 1.
A = np.random.normal(0, 1, size=(n, m))
y = np.random.normal(0, 1, size=(1, m))

# Instantiate LeastSquares object with matrix A and vector y
LSobject = ls.LeastSquares(A, y)

################################################################################
#
# Solve least squares by nvoking the method solve of the least squares class
x = LSobject.solve()

################################################################################
#
# Print the matrix A and the vectors y and x
print ("\n A = ")
ls.print_matrix(LSobject.A)
print ("\n y = ")
ls.print_matrix(y)
print ("\n x = ")
ls.print_matrix(x)
print("\n")






